### Name: createRandomPlan
### Title: Create an initial plan for later refinement
### Aliases: createRandomPlan createRandomPopPlan createKmeansPlan
###   createAssignedPlan createContiguousPlan createContiguousDistrict
###   createWeightedKmeansPlan createGreedyContiguousPlan
### Keywords: IO spatial optimize models distribution

### ** Examples

  # read in a shapefile with demographic data
    suffolk.map <- importBardShape(
      file.path(system.file("shapefiles", package="BARD"),"suffolk_tracts")
  )
    
    
  # choose number of districts
  ndists <- 5
  
  # create some initial plans
  kplan <- createKmeansPlan(suffolk.map,ndists)
  rplan <- createRandomPlan(suffolk.map,ndists)
  aplan <- createAssignedPlan(suffolk.map,predvar=1:ndists)
  wkplan<-createWeightedKmeansPlan(suffolk.map,ndists,weightVar="POP")

  
  cplan <- createContiguousPlan(suffolk.map,ndists)
  plot(cplan)
  summary(cplan)
  
 
  plot(kplan)
  summary(kplan)
  plot(summary(rplan))
  
  
  c1plan<-createGreedyContiguousPlan(suffolk.map,ndists)
  
  plot(c1plan)
  summary(c1plan)
  
  # single district only 
  c2plan<-createContiguousDistrict(suffolk.map,ndists)
  c2plan
  plot(c2plan)
  summary(c2plan)
  



